## viewmol 2.3

=== babel/Makefile ===
CFLAGS        = -O2 -mips2

LIBFLAGS      = -O -DLIBRARY 

CC	      = cc

PROGRAM	      = babel

LDFLAGS	      =

LIBS	      =

LINKER	      = $(CC)

MAKEFILE      = Makefile

OBJS	      = addh.o \
		addh2.o \
		aromatic.o \
		assbnd.o \
		asstypes.o \
		block.o \
		bndord.o \
		bo.o \
		buildct.o \
		combine.o \
		convert.o \
		delatms.o \
		delh2o.o \
		filesrch.o \
		fileutil.o \
		gastchg.o \
		htoend.o \
		int2cart.o \
		intcart.o \
		menus.o \
		miniums.o \
		molwt.o \
		nodummy.o \
		orient.o \
		precip.o \
		printbad.o \
		progress.o \
		rdalch.o \
		rdampout.o \
		rdbalst.o \
		rdbgf.o \
		rdboogie.o \
		rdc3d.o \
		rdcacao.o \
		rdcadpac.o \
		rdcharmm.o \
		rdcsd.o \
		rddock.o \
		rddpdb.o \
		rdelmnts.o \
		rdfdat.o \
		rdfeat.o \
		rdfract.o \
		rdg96.o \
		rdgamout.o \
		rdgauout.o \
		rdgzmat.o \
		rdhin.o \
		rdinsite.o \
		rdint.o \
		rdirc.o \
		rdisis.o \
		rdm3d.o \
		rdmacmod.o \
		rdmacmol.o \
		rdmdl.o \
		rdmicro.o \
		rdmm2.o \
		rdmm2in.o \
		rdmm3.o \
		rdmolen.o \
		rdmopac.o \
		rdmopcrt.o \
		rdpcmod.o \
		rdpdb.o \
		rdprep.o \
		rdpsgout.o \
		rdpsgvin.o \
		rdquanta.o \
		rdschak.o \
		rdshelx.o \
		rdsmiles.o \
		rdspart.o \
		rdspmm.o \
		rdspsemi.o \
		rdsybmol.o \
		rdsybyl.o \
		rdtypes.o \
		rdunichm.o \
		rdvm.o \
		rdwiz.o \
		rdxed.o \
		rdxyz.o \
		renum.o \
		report.o \
		rings.o \
		ringutil.o \
		sets.o \
		smilesto.o \
		spline.o \
		strngutl.o \
		tokenst.o \
		tosmiles.o \
		tree.o \
		typbybo.o \
		umslist.o \
		utils.o \
		vectors.o \
		wralch.o \
		wrbalst.o \
		wrbgf.o \
		wrbmin.o \
		wrbox.o \
		wrc3d.o \
		wrcacao.o \
		wrcache.o \
		wrcacint.o \
		wrchdrw.o \
		wrcontmp.o \
		wrcsr.o \
		wrcssr.o \
		wrdock.o \
		wrdpdb.o \
		wrfeat.o \
		wrfh.o \
		wrg96.o \
		wrgamess.o \
		wrgau.o \
		wrgaucrt.o \
		wrhin.o \
		wricon.o \
		wrint.o \
		wrisis.o \
		wrm3d.o \
		wrmaccs.o \
		wrmacmod.o \
		wrmcmol.o \
		wrmdl.o \
		wrmicro.o \
		wrmimic.o \
		wrmiv.o \
		wrmm2.o \
		wrmm3.o \
		wrmopac.o \
		wrpcmod.o \
		wrpdb.o \
		wrpsgv.o \
		wrpsgvz.o \
		wrsmiles.o \
		wrspart.o \
		wrsybmol.o \
		wrsybyl.o \
		wrtinker.o \
		wrtorlst.o \
		wrunichm.o \
		wrvm.o \
		wrwiz.o \
		wrxed.o \
		wrxyz.o

PRINT	      = pr

SRCS	      = addh.c \
		addh2.c \
		aromatic.c \
		assbnd.c \
		asstypes.c \
		block.c \
		bndord.c \
		bo.c \
		buildct.c \
		combine.c \
		convert.c \
		delatms.c \
		delh2o.c \
		filesrch.c \
		fileutil.c \
		gastchg.c \
		htoend.c \
		int2cart.c \
		intcart.c \
		menus.c \
		miniums.c \
		molwt.c \
		nodummy.c \
		orient.c \
		precip.c \
		printbad.c \
		progress.c \
		rdalch.c \
		rdampout.c \
		rdbalst.c \
		rdbgf.c \
		rdboogie.c \
		rdc3d.c \
		rdcacao.c \
		rdcadpac.c \
		rdcharmm.c \
		rdcsd.c \
		rddock.c \
		rddpdb.c \
		rdelmnts.c \
		rdfdat.c \
		rdfeat.c \
		rdfract.c \
		rdg96.c \
		rdgamout.c \
		rdgauout.c \
		rdgzmat.c \
		rdhin.c \
		rdinsite.c \
		rdint.c \
		rdirc.c \
		rdisis.c \
		rdm3d.c \
		rdmacmod.c \
		rdmacmol.c \
		rdmdl.c \
		rdmicro.c \
		rdmm2.c \
		rdmm2in.c \
		rdmm3.c \
		rdmolen.c \
		rdmopac.c \
		rdmopcrt.c \
		rdpcmod.c \
		rdpdb.c \
		rdprep.c \
		rdpsgout.c \
		rdpsgvin.c \
		rdquanta.c \
		rdschak.c \
		rdshelx.c \
		rdsmiles.c \
		rdspart.c \
		rdspmm.c \
		rdspsemi.c \
		rdsybmol.c \
		rdsybyl.c \
		rdtypes.c \
		rdunichm.c \
		rdvm.c \
		rdwiz.c \
		rdxed.c \
		rdxyz.c \
		renum.c \
		report.c \
		rings.c \
		ringutil.c \
		sets.c \
		smilesto.c \
		spline.c \
		strngutl.c \
		tokenst.c \
		tosmiles.c \
		tree.c \
		typbybo.c \
		umslist.c \
		utils.c \
		vectors.c \
		wralch.c \
		wrbalst.c \
		wrbgf.c \
		wrbmin.c \
		wrbox.c \
		wrc3d.c \
		wrcacao.c \
		wrcache.c \
		wrcacint.c \
		wrchdrw.c \
		wrcontmp.c \
		wrcsr.c \
		wrcssr.c \
		wrdock.c \
		wrdpdb.c \
		wrfeat.c \
		wrfh.c \
		wrg96.c \
		wrgamess.c \
		wrgau.c \
		wrgaucrt.c \
		wrhin.c \
		wricon.c \
		wrint.c \
		wrisis.c \
		wrm3d.c \
		wrmaccs.c \
		wrmacmod.c \
		wrmcmol.c \
		wrmdl.c \
		wrmicro.c \
		wrmimic.c \
		wrmiv.c \
		wrmm2.c \
		wrmm3.c \
		wrmopac.c \
		wrpcmod.c \
		wrpdb.c \
		wrpsgv.c \
		wrpsgvz.c \
		wrsmiles.c \
		wrspart.c \
		wrsybmol.c \
		wrsybyl.c \
		wrtinker.c \
		wrtorlst.c \
		wrunichm.c \
		wrvm.c \
		wrwiz.c \
		wrxed.c \
		wrxyz.c

all:		$(PROGRAM)

$(PROGRAM):     $(OBJS) $(LIBS)
	$(LINKER) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROGRAM) -lm 

library:;	mv convert.o convert.tmp
		$(CC) $(LIBFLAGS) -c convert.c
		touch libbabel.a
		rm -f libbabel.a 
		ar -r libbabel.a $(OBJS)
		mv convert.tmp convert.o

dev:		$(OBJS) $(LIBS)
		$(LINKER) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROGRAM) -lm

clean:;		rm -f $(OBJS) $(PROGRAM) core libbabel.a

depend:;	mkmf -f $(MAKEFILE) PROGRAM=$(PROGRAM) DEST=$(DEST)

index:;		ctags -wx $(HDRS) $(SRCS)

install:	$(PROGRAM)
		install -s $(PROGRAM) $(DEST)

print:;		$(PRINT) $(HDRS) $(SRCS)

program:        $(PROGRAM)

tags:           $(HDRS) $(SRCS); ctags $(HDRS) $(SRCS)

update:		$(DEST)/$(PROGRAM)

$(DEST)/$(PROGRAM): $(SRCS) $(LIBS) $(HDRS) $(EXTHDRS)
		@make -f $(MAKEFILE) DEST=$(DEST) install

=== source/Makefile ===
#*******************************************************************************
#                                                                              *
#                                   Viewmol                                    *
#                                                                              *
#                               M A K E F I L E                                *
#                                                                              *
#                 Copyright (c) Joerg-R. Hill, December 2000                   *
#                                                                              *
#*******************************************************************************
#
# $Id: Makefile,v 1.5 2000/12/10 15:36:51 jrh Exp $
# $Log: Makefile,v $
# Revision 1.5  2000/12/10 15:36:51  jrh
# Release 2.3
#
# Revision 1.4  1999/05/24 01:24:15  jrh
# Release 2.2.1
#
# Revision 1.3  1999/02/07 21:42:47  jrh
# Release 2.2
#
# Revision 1.1  1996/12/10  18:39:05  jrh
# Initial revision
#
#   Do not edit this file - to set machine specific options edit getmachine!
#
CC     = cc -c $(CFLAGS) -I$(INCLUDE) $(OPT) $(BAGGER)
CCNOP  = cc -c $(CFLAGS) -I$(INCLUDE) $(BAGGER)

OBJ = annotate.o atommodule.o balanceform.o basisform.o bondform.o \
      bondorder.o build.o calcmo.o cellform.o coledit.o confform.o \
      cylinder.o device.o distort.o draw.o drawel.o drawform.o drawop.o \
      drawsp.o elementmodule.o ellipse.o energylevelmodule.o feedback.o \
      fileselect.o getmem.o getrc.o hardcopy.o historymodule.o hpgl.o \
      inert.o infoform.o init.o input.o insint.o intern.o labelmodule.o \
      lightmodule.o makemenu.o maketics.o manual.o marcub.o matrix.o \
      messgb.o miller.o mkconn.o mkunitc.o mo.o modifygeo.o moform.o \
      moleculemodule.o mouseaction.o mousecb.o normod.o optiform.o \
      osname.o postscript.o printform.o pseform.o quaternion.o ray.o \
      raytracer.o redraw.o resource.o runprog.o runscript.o save.o \
      saveform.o specform.o spectrummodule.o TabBook.o thermo.o \
      thermoform.o viewmol.o viewmolmodule.o waveform.o \
      window.o xfont.o zoom.o $(SCANDIR)
ALLOBJ = $(OBJ) tm.o bio.o readgamess.o readgauss.o readmopac.o readpdb.o \
         readframe.o eof.o scandir.o # symmetry.o

all                 : viewmol tm bio readgamess readgauss readmopac readpdb;

annotate.o          : ../annotate.c    ../viewmol.h                    ; $(CC) ../annotate.c
atommodule.o        : ../atommodule.c  ../viewmol.h ../modules.h       ; $(CC) ../atommodule.c
balanceform.o       : ../balanceform.c ../viewmol.h                    ; $(CC) ../balanceform.c
basisform.o         : ../basisform.c   ../viewmol.h                    ; $(CC) ../basisform.c
bio.o               : ../bio.c                                         ; $(CCNOP) ../bio.c
bondform.o          : ../bondform.c    ../viewmol.h                    ; $(CC) ../bondform.c
bondorder.o         : ../bondorder.c   ../viewmol.h                    ; $(CC) ../bondorder.c
build.o             : ../build.c       ../viewmol.h ../isotopes.h      ; $(CC) ../build.c
calcmo.o            : ../calcmo.c      ../viewmol.h                    ; $(CC) ../calcmo.c
cellform.o          : ../cellform.c    ../viewmol.h ../dialog.h        ; $(CC) ../cellform.c
coledit.o           : ../coledit.c     ../viewmol.h ../dialog.h        ; $(CC) ../coledit.c
confform.o          : ../confform.c    ../viewmol.h ../dialog.h        ; $(CC) ../confform.c
cylinder.o          : ../cylinder.c                                    ; $(CC) ../cylinder.c
device.o            : ../device.c                                      ; $(CC) ../device.c
distort.o           : ../distort.c     ../viewmol.h                    ; $(CC) ../distort.c
draw.o              : ../draw.c        ../viewmol.h                    ; $(CC) ../draw.c
drawel.o            : ../drawel.c      ../viewmol.h                    ; $(CC) ../drawel.c
drawform.o          : ../drawform.c    ../viewmol.h                    ; $(CC) ../drawform.c
drawop.o            : ../drawop.c      ../viewmol.h                    ; $(CC) ../drawop.c
drawsp.o            : ../drawsp.c      ../viewmol.h                    ; $(CC) ../drawsp.c
elementmodule.o     : ../elementmodule.c ../viewmol.h ../modules.h     ; $(CC) ../elementmodule.c
ellipse.o           : ../ellipse.c                                     ; $(CC) ../ellipse.c
energylevelmodule.o : ../energylevelmodule.c ../viewmol.h ../modules.h ; $(CC) ../energylevelmodule.c
eof.o               : ../eof.c                                         ; $(CC) ../eof.c
feedback.o          : ../feedback.c    ../viewmol.h                    ; $(CC) ../feedback.c
fileselect.o        : ../fileselect.c                                  ; $(CC) ../fileselect.c
getmem.o            : ../getmem.c                                      ; $(CC) ../getmem.c
getrc.o             : ../getrc.c       ../viewmol.h ../isotopes.h      ; $(CC) ../getrc.c
hardcopy.o          : ../hardcopy.c                                    ; $(CC) ../hardcopy.c
historymodule.o     : ../historymodule.c ../viewmol.h ../modules.h     ; $(CC) ../historymodule.c
hpgl.o              : ../hpgl.c                                        ; $(CC) ../hpgl.c
inert.o             : ../inert.c       ../viewmol.h                    ; $(CC) ../inert.c
infoform.o          : ../infoform.c    ../dialog.h                     ; $(CC) ../infoform.c
init.o              : ../init.c        ../viewmol.h ../menudef.h       ; $(CC) -DINIT ../init.c
input.o             : ../input.c       ../viewmol.h                    ; $(CC) ../input.c
insint.o            : ../insint.c      ../viewmol.h                    ; $(CC) ../insint.c
intern.o            : ../intern.c      ../viewmol.h                    ; $(CC) ../intern.c
labelmodule.o       : ../labelmodule.c ../viewmol.h ../modules.h       ; $(CC) ../labelmodule.c
lightmodule.o       : ../lightmodule.c ../viewmol.h ../modules.h       ; $(CC) ../lightmodule.c
makemenu.o          : ../makemenu.c                                    ; $(CC) ../makemenu.c
maketics.o          : ../maketics.c                                    ; $(CC) ../maketics.c
manual.o            : ../manual.c      ../viewmol.h                    ; $(CC) ../manual.c
marcub.o            : ../marcub.c      ../marcub.h                     ; $(CC) ../marcub.c
matrix.o            : ../matrix.c                                      ; $(CC) ../matrix.c
messgb.o            : ../messgb.c      ../messgb.h                     ; $(CC) ../messgb.c
miller.o            : ../miller.c      ../viewmol.h                    ; $(CC) ../miller.c
mkconn.o            : ../mkconn.c      ../viewmol.h                    ; $(CC) ../mkconn.c
mkunitc.o           : ../mkunitc.c     ../viewmol.h                    ; $(CC) ../mkunitc.c
mo.o                : ../mo.c          ../viewmol.h                    ; $(CC) ../mo.c
modifygeo.o         : ../modifygeo.c   ../viewmol.h                    ; $(CC) ../modifygeo.c
moform.o            : ../moform.c      ../viewmol.h                    ; $(CC) ../moform.c
moleculemodule.o    : ../moleculemodule.c ../viewmol.h ../modules.h    ; $(CC) ../moleculemodule.c
mouseaction.o       : ../mouseaction.c ../viewmol.h                    ; $(CC) ../mouseaction.c
mousecb.o           : ../mousecb.c     ../viewmol.h                    ; $(CC) ../mousecb.c
normod.o            : ../normod.c      ../viewmol.h                    ; $(CC) ../normod.c
optiform.o          : ../optiform.c    ../viewmol.h                    ; $(CC) ../optiform.c
osname.o            : ../osname.c                                      ; $(CC) ../osname.c
postscript.o        : ../postscript.c  ../viewmol.h                    ; $(CC) ../postscript.c
printform.o         : ../printform.c   ../viewmol.h ../menu.h          ; $(CC) ../printform.c
pseform.o           : ../pseform.c     ../viewmol.h                    ; $(CC) ../pseform.c
quaternion.o        : ../quaternion.c                                  ; $(CC) ../quaternion.c
ray.o               : ../ray.c         ../viewmol.h                    ; $(CC) ../ray.c
raytracer.o         : ../raytracer.c   ../viewmol.h                    ; $(CC) ../raytracer.c
readframe.o         : ../readframe.c                                   ; $(CC) ../readframe.c
readgamess.o        : ../readgamess.c                                  ; $(CC) ../readgamess.c
readgauss.o         : ../readgauss.c   ../isotopes.h                   ; $(CC) ../readgauss.c
readmopac.o         : ../readmopac.c                                   ; $(CC) ../readmopac.c
readpdb.o           : ../readpdb.c                                     ; $(CC) ../readpdb.c
redraw.o            : ../redraw.c      ../viewmol.h                    ; $(CC) ../redraw.c
resource.o          : ../resource.c                                    ; $(CC) ../resource.c
runprog.o           : ../runprog.c                                     ; $(CC) ../runprog.c
runscript.o         : ../runscript.c   ../viewmol.h ../dialog.h        ; $(CC) ../runscript.c
save.o              : ../save.c        ../viewmol.h                    ; $(CC) ../save.c
saveform.o          : ../saveform.c    ../viewmol.h                    ; $(CC) ../saveform.c
scandir.o           : ../scandir.c                                     ; $(CC) ../scandir.c
specform.o          : ../specform.c                                    ; $(CC) ../specform.c
spectrummodule.o    : ../spectrummodule.c ../viewmol.h ../modules.h    ; $(CC) ../spectrummodule.c
TabBook.o           : ../TabBook.c                                     ; $(CC) -DMOTIF ../TabBook.c
thermo.o            : ../thermo.c      ../viewmol.h                    ; $(CC) ../thermo.c
thermoform.o        : ../thermoform.c  ../viewmol.h                    ; $(CC) ../thermoform.c
tm.o                : ../tm.c                                          ; $(CC) ../tm.c
viewmol.o           : ../viewmol.c     ../viewmol.h ../fallbacks.h     ; $(CC) ../viewmol.c
viewmolmodule.o     : ../viewmolmodule.c                               ; $(CC) ../viewmolmodule.c
waveform.o          : ../waveform.c    ../viewmol.h                    ; $(CC) ../waveform.c
window.o            : ../window.c      ../viewmol.h                    ; $(CC) ../window.c
xdnd.o              : ../xdnd.c        ../xdnd.h                       ; $(CC) ../xdnd.c
xfont.o             : ../xfont.c                                       ; $(CC) ../xfont.c
zoom.o              : ../zoom.c        ../viewmol.h                    ; $(CC) ../zoom.c

viewmol :        ; /bin/sh getmachine viewmol
viewmol_mesa:    ; /bin/sh getmachine mesa viewmol
viewmol_: $(OBJ) ; cc -o viewmol $(LDFLAGS) $(OBJ) $(LIBRARY) $(LIBS)
tm      :        ; /bin/sh getmachine tm
tm_     : tm.o readframe.o getmem.o ; cc -o tm $(LDFLAGS) tm.o readframe.o getmem.o -lm
bio     :        ; /bin/sh getmachine bio
bio_    : bio.o readframe.o getmem.o ; cc -o bio $(LDFLAGS) bio.o readframe.o getmem.o
readgamess:      ; /bin/sh getmachine readgamess
readgamess_: readgamess.o eof.o getmem.o ; cc -o readgamess $(LDFLAGS) readgamess.o eof.o getmem.o
readgauss:       ; /bin/sh getmachine readgauss
readgauss_: readgauss.o eof.o getmem.o ; cc -o readgauss $(LDFLAGS) readgauss.o eof.o getmem.o
readmopac:       ; /bin/sh getmachine readmopac
readmopac_: readmopac.o eof.o getmem.o ; cc -o readmopac $(LDFLAGS) readmopac.o eof.o getmem.o
readpdb:         ; /bin/sh getmachine readpdb
readpdb_: readpdb.o eof.o ; cc -o readpdb $(LDFLAGS) readpdb.o eof.o
tar     :        ; tar -cvf viewmol.tar `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
                   Makefile *.h readgulp readdmol writecar writemol writetm \
                   viewmolrc getmachine checkres README* Xdefaults.* *.py \
                   `find man -type f -print | grep -v RCS` ; gzip -9 viewmol.tar; \
                   mv viewmol.tar.gz viewmol.tgz
distribution:    ; tar -cvzf viewmol.tgz `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \

## viewmol 2.4.1

=== source/Makefile ===
--- 
+++ 
@@ -4,12 +4,15 @@
 #                                                                              *
 #                               M A K E F I L E                                *
 #                                                                              *
-#                 Copyright (c) Joerg-R. Hill, December 2000                   *
+#                 Copyright (c) Joerg-R. Hill, October 2003                    *
 #                                                                              *
 #*******************************************************************************
 #
-# $Id: Makefile,v 1.5 2000/12/10 15:36:51 jrh Exp $
+# $Id: Makefile,v 1.6 2003/11/07 12:53:50 jrh Exp $
 # $Log: Makefile,v $
+# Revision 1.6  2003/11/07 12:53:50  jrh
+# Release 2.4
+#
 # Revision 1.5  2000/12/10 15:36:51  jrh
 # Release 2.3
 #
@@ -24,8 +27,9 @@
 #
 #   Do not edit this file - to set machine specific options edit getmachine!
 #
-CC     = cc -c $(CFLAGS) -I$(INCLUDE) $(OPT) $(BAGGER)
-CCNOP  = cc -c $(CFLAGS) -I$(INCLUDE) $(BAGGER)
+BAGGER =
+CC     = $(COMPILER) -c $(CFLAGS) -I$(INCLUDE) $(OPT) $(BAGGER)
+CCNOP  = $(COMPILER) -c $(CFLAGS) -I$(INCLUDE) $(BAGGER)
 
 OBJ = annotate.o atommodule.o balanceform.o basisform.o bondform.o \
       bondorder.o build.o calcmo.o cellform.o coledit.o confform.o \
@@ -37,14 +41,14 @@
       messgb.o miller.o mkconn.o mkunitc.o mo.o modifygeo.o moform.o \
       moleculemodule.o mouseaction.o mousecb.o normod.o optiform.o \
       osname.o postscript.o printform.o pseform.o quaternion.o ray.o \
-      raytracer.o redraw.o resource.o runprog.o runscript.o save.o \
-      saveform.o specform.o spectrummodule.o TabBook.o thermo.o \
-      thermoform.o viewmol.o viewmolmodule.o waveform.o \
+      raytrace.o readgrid.o redraw.o resource.o runprog.o runscript.o \
+      save.o saveform.o shadow.o specform.o spectrummodule.o TabBook.o \
+      thermo.o thermoform.o viewmol.o viewmolmodule.o waveform.o \
       window.o xfont.o zoom.o $(SCANDIR)
 ALLOBJ = $(OBJ) tm.o bio.o readgamess.o readgauss.o readmopac.o readpdb.o \
-         readframe.o eof.o scandir.o # symmetry.o
+         readframe.o eof.o scandir.o
 
-all                 : viewmol tm bio readgamess readgauss readmopac readpdb;
+all                 : viewmol tm bio readgamess readgauss readmopac readpdb translations;
 
 annotate.o          : ../annotate.c    ../viewmol.h                    ; $(CC) ../annotate.c
 atommodule.o        : ../atommodule.c  ../viewmol.h ../modules.h       ; $(CC) ../atommodule.c
@@ -108,8 +112,9 @@
 pseform.o           : ../pseform.c     ../viewmol.h                    ; $(CC) ../pseform.c
 quaternion.o        : ../quaternion.c                                  ; $(CC) ../quaternion.c
 ray.o               : ../ray.c         ../viewmol.h                    ; $(CC) ../ray.c
-raytracer.o         : ../raytracer.c   ../viewmol.h                    ; $(CC) ../raytracer.c
+raytrace.o          : ../raytrace.c    ../viewmol.h                    ; $(CC) ../raytrace.c
 readframe.o         : ../readframe.c                                   ; $(CC) ../readframe.c
+readgrid.o          : ../readgrid.c    ../viewmol.h                    ; $(CC) ../readgrid.c
 readgamess.o        : ../readgamess.c                                  ; $(CC) ../readgamess.c
 readgauss.o         : ../readgauss.c   ../isotopes.h                   ; $(CC) ../readgauss.c
 readmopac.o         : ../readmopac.c                                   ; $(CC) ../readmopac.c
@@ -121,6 +126,7 @@
 save.o              : ../save.c        ../viewmol.h                    ; $(CC) ../save.c
 saveform.o          : ../saveform.c    ../viewmol.h                    ; $(CC) ../saveform.c
 scandir.o           : ../scandir.c                                     ; $(CC) ../scandir.c
+shadow.o            : ../shadow.c      ../viewmol.h                    ; $(CC) ../shadow.c
 specform.o          : ../specform.c                                    ; $(CC) ../specform.c
 spectrummodule.o    : ../spectrummodule.c ../viewmol.h ../modules.h    ; $(CC) ../spectrummodule.c
 TabBook.o           : ../TabBook.c                                     ; $(CC) -DMOTIF ../TabBook.c
@@ -136,23 +142,17 @@
 zoom.o              : ../zoom.c        ../viewmol.h                    ; $(CC) ../zoom.c
 
 viewmol :        ; /bin/sh getmachine viewmol
-viewmol_mesa:    ; /bin/sh getmachine mesa viewmol
-viewmol_: $(OBJ) ; cc -o viewmol $(LDFLAGS) $(OBJ) $(LIBRARY) $(LIBS)
+viewmol_: $(OBJ) ; $(COMPILER) -o viewmol $(BAGGER) $(LDFLAGS) $(OBJ) $(LIBRARY) $(LIBS)
 tm      :        ; /bin/sh getmachine tm
-tm_     : tm.o readframe.o getmem.o ; cc -o tm $(LDFLAGS) tm.o readframe.o getmem.o -lm
+tm_     : tm.o readframe.o getmem.o ; $(COMPILER) -o tm $(LDFLAGS) tm.o readframe.o getmem.o -lm
 bio     :        ; /bin/sh getmachine bio
-bio_    : bio.o readframe.o getmem.o ; cc -o bio $(LDFLAGS) bio.o readframe.o getmem.o
+bio_    : bio.o readframe.o getmem.o ; $(COMPILER) -o bio $(LDFLAGS) bio.o readframe.o getmem.o
 readgamess:      ; /bin/sh getmachine readgamess
-readgamess_: readgamess.o eof.o getmem.o ; cc -o readgamess $(LDFLAGS) readgamess.o eof.o getmem.o
+readgamess_: readgamess.o eof.o getmem.o ; $(COMPILER) -o readgamess $(LDFLAGS) readgamess.o eof.o getmem.o -lm
 readgauss:       ; /bin/sh getmachine readgauss
-readgauss_: readgauss.o eof.o getmem.o ; cc -o readgauss $(LDFLAGS) readgauss.o eof.o getmem.o
+readgauss_: readgauss.o eof.o getmem.o ; $(COMPILER) -o readgauss $(LDFLAGS) readgauss.o eof.o getmem.o
 readmopac:       ; /bin/sh getmachine readmopac
-readmopac_: readmopac.o eof.o getmem.o ; cc -o readmopac $(LDFLAGS) readmopac.o eof.o getmem.o
+readmopac_: readmopac.o eof.o getmem.o ; $(COMPILER) -o readmopac $(LDFLAGS) readmopac.o eof.o getmem.o
 readpdb:         ; /bin/sh getmachine readpdb
-readpdb_: readpdb.o eof.o ; cc -o readpdb $(LDFLAGS) readpdb.o eof.o
-tar     :        ; tar -cvf viewmol.tar `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
-                   Makefile *.h readgulp readdmol writecar writemol writetm \
-                   viewmolrc getmachine checkres README* Xdefaults.* *.py \
-                   `find man -type f -print | grep -v RCS` ; gzip -9 viewmol.tar; \
-                   mv viewmol.tar.gz viewmol.tgz
-distribution:    ; tar -cvzf viewmol.tgz `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
+readpdb_: readpdb.o eof.o ; $(COMPILER) -o readpdb $(LDFLAGS) readpdb.o eof.o
+translations:    ; /bin/sh makeTranslations

=== debian/changelog ===
viewmol (2.4.1-24) unstable; urgency=medium

  * Ensure that viewmol is only built with python2.
  * Remove obsolete debian/pycompat.
  * Remove viewmol menu file, see #741573.
  * Update viewmol.desktop: remove Encoding and MiniIcon keys,
    add Keywords key, switch to higher resolution icon.
  * Use secure URI for Vcs-Git.
  * Update package description synopsis.
  * Fix spelling errors in binary, thanks Lintian.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2016 11:32:58 +0200

viewmol (2.4.1-23) unstable; urgency=medium

  * Change maintainer to Debichem Team, add myself to uploaders
    (with Drew Parsons' blessing), update Vcs-* fields.
  * Revert pre-applying patches 011_getmachine_HURD.diff and
    150-getmachine_multiarch.patch.
  * Switch to source format 3.0 (quilt), drop d/README.source,
    d/source.lintian-overrides and Build-Depends on quilt.
  * Switch to debhelper (>= 9), Build-Depends on dh-python
    instead of python-support. Closes: #786214
  * Remove gbp.conf since debian-branch is named 'master' in new Vcs.
  * Switch to minimized dh(1).
  * Machine-readable debian/copyright.
  * Bump Standards-Version to 3.9.6, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 18 Aug 2015 18:04:52 +0200

viewmol (2.4.1-22) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Add debian/gbp.conf
  * Add Homepage and Vcs fields

  [ Graham Inggs ]
  * Pre-apply debian/patches/150-getmachine_multiarch.patch.
  * Update debian/rules: configure during the build-arch target.
    Closes: #763909

 -- Graham Inggs <graham@nerve.org.za>  Wed, 05 Nov 2014 11:59:03 +0200

viewmol (2.4.1-21) unstable; urgency=medium

  * Team upload.
  * Create executable on all architectures (Thanks for the patch to
    Graham Inggs <graham@nerve.org.za>)
    Closes: #763909

 -- Andreas Tille <tille@debian.org>  Mon, 03 Nov 2014 13:52:40 +0100

viewmol (2.4.1-20) unstable; urgency=low

  * Use dh_quilt_patch instead of the xsfbs scripts.
  * Allow viewmol to launch from the Gnome menus: 
    Remove Path=$HOME from viewmol.desktop, since Gnome cannot handle
    environment variables ($HOME). Applied to patch 110_desktop_app.diff.
    Closes: #709304.
  * Build against libmotif-dev not lesstif2-dev. Closes: #714671.
  * Don't need libxp-dev Build-Depends (Xprint is not actually used).
    Closes: #623665.
  * Lintian fixes:
      - add build-arch, build-indep to debian/rules.
      - leave binary hardening unhandled for now: viewmol has an
        inconvenient build system in the form of source/getmachine
  * Standards-Version: 3.9.4

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Sep 2013 13:20:52 +1000

viewmol (2.4.1-19) unstable; urgency=low

  * Added watch file. Thanks Daniel Leidert. Closes: #675831.

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Nov 2012 17:27:44 +1100

viewmol (2.4.1-18) unstable; urgency=low

  * Build-depends: libpng-dev not libpng12-dev.  Closes: #662535.
  * Update Build-depends: libtiff5-dev not libtiff4-dev
  * Standards-version: 3.9.3
  * In debian/rules:
    - dh_pysupport is deprecated, use dh_python2 instead
    - dh_clean -k is deprecated; use dh_prep instead

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jun 2012 12:26:36 +1000

viewmol (2.4.1-17) unstable; urgency=low

  * Pre-apply the HURD patch 011_getmachine_HURD.diff from bug#534330
    in order to allow the HURD to be recognised during debian/rules
    clean. This rule is run before patch by dpkg-buildpackage.
    (Probably not safe to set the dependency clean: patch).

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Sep 2010 11:08:49 +1000

viewmol (2.4.1-16) unstable; urgency=low

  * Patch 011_getmachine_HURD.diff lets the getmachine build script
    recognise the Hurd.  Thanks Barry deFreese. Closes: #534330.
  * Add debian/README.source to declare use of quilt patches via xsfbs.
  * Remove dh_desktop from debian/rules (deprecated now).
  * Standards-Version: 3.9.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Aug 2010 21:20:24 +1000

viewmol (2.4.1-15) unstable; urgency=low

  * Transfer to group maintainership with Debian Science.
  * Standards version: 3.8.1.
  * Build-Depends: quilt. debian/xsfbs borrowed from XSF (Xorg
    packaging) to handle quilt patches. Source patches from previous
    debian diff split into separate diffs in debian/patches:
    	   010_build_scripts.diff
	   100_locale_exception.diff
	   110_desktop_app.diff
	   120_PyObject.diff
	   130_DEFAULTPATH.diff
	   140_bin_awk.diff

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Mar 2009 16:46:00 +1100

viewmol (2.4.1-14) unstable; urgency=low

  * Add symlink from main dir /usr/lib/viewmol to docs. Closes: #478551.
  * Standards-Version: 3.8.0.
  * Specify that copyright is GPL v2.
  * Add dh_desktop to debian/rules to register mimetypes in desktop file.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Feb 2009 23:44:29 +1100

viewmol (2.4.1-13) unstable; urgency=low

  * Use PyObject_Del to deallocate PyObjects instead of PyMem_DEL.
    Thanks Barry deFreese for the patch.  Closes: #469008.
  * Don't create separate links for KDE support files in /usr/share/applnk
    anymore. These are handled generically (for all compliant Desktop
    environments including Gnome) via
    /usr/share/applications/viewmol.desktop.  Closes: #466998.
  * Update debian/viewmol.sgml and doc-base to encode Jörg-Rüdiger's
    name in UTF-8. Regenerate viewmol.1 using docbook2man.
  * Where pythonlib is defined in source/getmachine, add 
    	  | xargs echo | awk '{print $1}'
    to ensure only one path is passed to dirname.

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Mar 2008 16:02:08 +1100

viewmol (2.4.1-12) unstable; urgency=low

  * What's so special about American English?  Change en_US locale to
    just en in /usr/lib/viewmol/locale (and /usr/share/viewmol/locale)
    and use it as a fallback in setAtomColors.py. Move existing


=== debian/control ===
Source: viewmol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libmotif-dev,
               libpng-dev,
               libtiff5-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxmu-dev,
               libxt-dev,
               python-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://viewmol.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/viewmol.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/viewmol.git

Package: viewmol
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: openbabel, xfonts-cyrillic
XB-Python-Version: ${python:Versions}
Description: graphical front end for computational chemistry programs
 Viewmol is able to graphically aid in the generation of molecular
 structures for computations and to visualize their results.
 .
 At present Viewmol includes input filters for Discover, DMol3, Gamess,
 Gaussian 9x/03, Gulp, Mopac, PQS, Turbomole, and Vamp outputs as well as
 for PDB files. Structures can be saved as Accelrys' car-files, MDL files,
 and Turbomole coordinate files. Viewmol can generate input files for
 Gaussian 9x/03. Viewmol's file format has been added to OpenBabel so that
 OpenBabel can serve as an input as well as an output filter for
 coordinates.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/viewmol

%:
	dh $@ --with python2

override_dh_auto_build:
	$(MAKE) -C source

override_dh_auto_clean:
	[ ! -f source/Makefile ] || $(MAKE) -C source clean
	# viewmol's make clean does not clean out the '$$(os)' directory, so do it here.
	-rm -r source/Linux source/.config.Linux

override_dh_auto_install:
	# install the package into debian/viewmol.
	cd source; ./install $(DESTDIR)/usr

	# put arch-independent files into /usr/share/viewmol (make FHS compliant)
	mv $(DESTDIR)/usr/lib/viewmol/viewmolrc  $(DESTDIR)/etc/viewmol
	cd $(DESTDIR)/usr/lib/viewmol; mv readdmol readgulp readpqs writecar \
	    writegauss.py writemol writetm readdmol.awk \
	    $(DESTDIR)/usr/share/viewmol
	cd $(DESTDIR)/usr/lib/viewmol; mv examples locale scripts tests \
	    $(DESTDIR)/usr/share/viewmol
	# viewmol has no standard English, so change en_US to en
	# or else other English locales fail
	cd $(DESTDIR)/usr/share/viewmol/locale; mv en_US en

	# localised Viewmol settings may be user-configurable 
	# (conffiles go in /etc)
	for i in $(DESTDIR)/usr/share/viewmol/locale/*; do \
	    mkdir $(DESTDIR)/etc/viewmol/locale/`basename $${i}` ; \
	    mv $${i}/Viewmol $(DESTDIR)/etc/viewmol/locale/`basename $${i}` ; \
	    ln -s /etc/viewmol/locale/`basename $${i}`/Viewmol  $${i}/Viewmol ; \
	done
	
	
	# Viewmol scripts heavily depend on VIEWMOLPATH, without
	# distinguishing between ../share and ../lib, so make a symlink.
	for i in $(DESTDIR)/usr/share/viewmol/*; do \
	    ln -s /usr/share/viewmol/`basename $${i}` $(DESTDIR)/usr/lib/viewmol/`basename $${i}` ; \
	done
	
	# install KDE (and generic Desktop) support files
	cd kde; KDEDIR=$(DESTDIR)/usr ./install
	ln -s /usr/share/icons/crystalsvg/128x128/apps/viewmol.png $(DESTDIR)/usr/share/pixmaps

override_dh_installdocs:
	dh_installdocs $(DESTDIR)/usr/lib/viewmol/doc/*
	rm -r $(DESTDIR)/usr/lib/viewmol/doc
	# don't want to compress examples, so don't use dh_installexamples
	ln -s /usr/share/viewmol/examples/ $(DESTDIR)/usr/share/doc/viewmol

override_dh_installman:
	dh_installman debian/viewmol.1

=== debian/watch ===
version=3
http://sf.net/viewmol/viewmol-([\d.]+)\.src\.tgz
